Bug 824788 - enable script should export /usr/sbin PATH too
enable script should export /usr/sbin PATH too
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 05:27 EDT by Jan Kaluža
Modified: 2013-07-02 19:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 16:03:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kaluža 2012-05-24 05:27:27 EDT
httpd has various tools in /opt/rh/httpd24/root/usr/sbin, but this path is not added into PATH variable by /opt/rh/httpd24/enable script.
Comment 1 Jindrich Novy 2012-08-07 04:49:00 EDT
I think this could be achieved by adding this to your enable scriptlet:

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_sbindir}:\$PATH
EOF

Does it fix your issue?
Comment 2 Jan Kaluža 2012-09-07 00:57:29 EDT
Sorry, I forgot to respond here. It really fixes the issue. I thought that file should be generated automatically and I should not write anything there. Thank you for your help.

Note You need to log in before you can comment on or make changes to this bug.